Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Interface TTFGlyphOutputStream

All Known Implementing Classes:
  PSTTFGlyphOutputStream

    public interface TTFGlyphOutputStream

An interface for writing individual glyphs from the glyf table of a TrueType font to an output stream.

Method Summary
`void` | `endGlyphStream()` Ends the streaming of glyphs.
`void` | `startGlyphStream()` Begins the streaming of glyphs.
`void` | `streamGlyph(byte[] glyphData, int offset, int size)` Streams an individual glyph from the given byte array.

Method Detail

### startGlyphStream

    void startGlyphStream()
                          throws java.io.IOException

  Begins the streaming of glyphs.

  Throws:
    `java.io.IOException`

### streamGlyph

    void streamGlyph(byte[] glyphData,
                     int offset,
                     int size)
                     throws java.io.IOException

  Streams an individual glyph from the given byte array.

  Parameters:
    `glyphData` - the source of the glyph data to stream from
    `offset` - the position in the glyph data where the glyph starts
    `size` - the size of the glyph data in bytes
  Throws:
    `java.io.IOException`

### endGlyphStream

    void endGlyphStream()
                        throws java.io.IOException

  Ends the streaming of glyphs.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.